### Method

# Ide BuildManager get_message

#### Declaration

    gchar*
    ide_build_manager_get_message (
      IdeBuildManager* self
    )

#### Description

This function returns the current build message as a string.

See `IdeBuildManager:message` for more information.

Available since: | 3.32

Gets property | `Ide.BuildManager:message`

#### Return value

Returns: | `gchar*`
| A string containing the build message or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.